/** @file button.h
 * @par Programm:
 *                 Quellen und Lautstrkesteller
 *
 * @author         Achill Hasler (AHC)
 * @date           05.12.08
 *
 * @par Copyright:
 *                 AH Consulting GmbH
 *
 * @par Compiler:
 *                 avr c fr ATmega48 / 88
 *
 * @brief          Include fr Encodertaster.
 *
 * @par History:
 *  <table>
 *    <tr><td>wann</td><td>ver</td><td>wer</td><td>was</td></tr>
 *    <tr><td>01.12.08</td><td>1.0.0</td><td>aha</td><td>
 *    erste version fertig
 *    </td></tr>
 *    <tr><td>05.12.08</td><td>1.0.1</td><td>aha</td><td>
 *    fertiggestellt.
 *    </td></tr>
 *  </table>
 */

#ifndef PREAMP_BUTTON_H_
#define PREAMP_BUTTON_H_

/**
 * Schalter der Encoder aktivieren
 */
inline void button_init(void)
{
  const uint8_t pins = _BV(BUTT_CA) | _BV(BUTT_VO);

  /* enable internal pull-up resistor for input */
  INPUT_PORT |= pins;
}


/**
 * Pollingfunktion fr ein/aus taster
 */
void test_power_button(void);


/**
 * Pollingfunktion fr mute taster
 */
void test_volume_button(void);

#endif /* PREAMP_BUTTON_H_ */
