/** @file drehgeber.h
 * @par Programm:
 *                 Quellen und Lautstrkesteller
 *
 * @author         Achill Hasler (AHC)
 * @date           05.12.08
 *
 * @par Copyright:
 *                 AH Consulting GmbH
 *
 * @par Compiler:
 *                 avr c fr ATmega48 / 88
 *
 * @brief          Include fr Encoder.
 *
 * @par History:
 *  <table>
 *    <tr><td>wann</td><td>ver</td><td>wer</td><td>was</td></tr>
 *    <tr><td>26.11.08</td><td>1.0.0</td><td>aha</td><td>
 *    erste version fertig
 *    </td></tr>
 *    <tr><td>05.12.08</td><td>1.0.1</td><td>aha</td><td>
 *    fertiggestellt.
 *    </td></tr>
 *  </table>
 */

#ifndef PREAMP_DREHGEBER_H_
#define PREAMP_DREHGEBER_H_

/**
 * Drehgeber liefert positive werte wenn er im uhrzeigersinn gedeht wird.
 * Falls nicht, so mssen die Ports fr ENCA und ENCB getauscht werden.
 */

// Zhlt die Schritte: von -128..127
extern int8_t volatile volume_ticks;
extern int8_t volatile channel_steps;

extern int8_t volatile channel_tick;
extern uint16_t channel_time;


/**
 * Encoder aktivieren
 */
void drehgeber_enable(void);

/**
 * Encoder deaktivieren
 */
void drehgeber_disable(void);

#endif /* PREAMP_DREHGEBER_H_ */
