/** @file eeprom.h
 * @par Programm:
 *                 Quellen und Lautstrkesteller
 *
 * @author         Achill Hasler (AHC)
 * @date           05.12.08
 *
 * @par Copyright:
 *                 AH Consulting GmbH
 *
 * @par Compiler:
 *                 avr c fr ATmega48 / 88
 *
 * @brief          Inlude fr EPROM Werte.
 *
 * @par History:
 *  <table>
 *    <tr><td>wann</td><td>ver</td><td>wer</td><td>was</td></tr>
 *    <tr><td>26.11.09</td><td>1.0.0</td><td>aha</td><td>
 *    erste version fertig
 *    </td></tr>
 *    <tr><td>05.12.08</td><td>1.0.1</td><td>aha</td><td>
 *    fertiggestellt.
 *    </td></tr>
 *  </table>
 */

#ifndef PREAMP_EEPROM_H_
#define PREAMP_EEPROM_H_

/**
 * schreibe aktuelle werte ins eeprom
 */
void write_defaults(void);


/**
 * lese defaults von eeprom
 */
void read_defaults(void);


#endif /* PREAMP_EEPROM_H_ */
